[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discuss-gnuradio] Errors using PyBombs recipe for RFNoC setup

From: Andrew Lanez
Subject: Re: [Discuss-gnuradio] Errors using PyBombs recipe for RFNoC setup
Date: Thu, 22 Sep 2016 21:16:23 -0700

New Linux user here, I don't mean to anger anyone with my naivete.

I just ran sudo apt-get. That might fix the other non-showstopper errors earlier. But I am not sure where to start to address that last error which is the show stopper:

checking for BASE_DEPENDENCIES... no
configure: error: Package requirements (glib-2.0 >= 2.25.10    atk >= 1.29.2    pango >= 1.20    cairo >= 1.6    gdk-pixbuf-2.0 >= 2.21.0) were not met:

No package 'atk' found
No package 'pango' found
No package 'cairo' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BASE_DEPENDENCIES_CFLAGS
and BASE_DEPENDENCIES_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
PyBOMBS.Packager.source - ERROR - Configuration failed after running at least twice.
PyBOMBS.Packager.source - ERROR - Problem occurred while building package gtk2:
Configuration failed
PyBOMBS.install_manager - ERROR - Error installing package gtk2. Aborting.

I tried running the same pybombs command and got:
$ pybombs prefix init ~/rfnoc -R rfnoc -a alias
PyBOMBS - INFO - PyBOMBS Version 2.2.0
PyBOMBS.prefix - ERROR - Ignoring. A prefix already exists in `/home/switchlanez/rfnoc'

So I took out what might be prefix-related stuff but these didn't work:
$ pybombs -R rfnoc -a alias
$ pybombs rfnoc -a alias
$ pybombs rfnoc

How do I properly rerun the pybombs script?

reply via email to

[Prev in Thread] Current Thread [Next in Thread]